Modify

Opened 8 years ago

Closed 7 years ago

#13963 closed defect (fixed)

Fieldpapers plugin crashes on opening snapshots

Reported by: kaxtillo Owned by: mojodna
Priority: normal Milestone:
Component: Plugin fieldpapers Version:
Keywords: template_report Cc: d.freiermuth@…

Description

What steps will reproduce the problem?

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-11-06 20:18:38 +0100 (Sun, 06 Nov 2016)
Build-Date:2016-11-06 21:45:03
Revision:11223
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11223 es) Linux Debian GNU/Linux 8.6 (jessie)
Memory Usage: 714 MB / 1755 MB (253 MB allocated, but free)
Java version: 1.8.0_111-b14, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: :0.0 1366x768
Maximum Screen Size: 1366x768
VM arguments: [-Djava.security.policy=file:${JAVA_HOME}/jre/lib/security/javaws.policy, -DtrustProxy=true, -Djnlpx.home=${JAVA_HOME}/jre/bin, -Djava.security.manager, -Djnlpx.origFilenameArg=${HOME}/OSM/josm.jnlp, -Djnlpx.remove=true, -Dsun.awt.warmup=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=35366, -Djnlpx.jvm=${JAVA_HOME}/jre/bin/java, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

Plugins:
+ ImageWayPoint (32699)
+ ImportImagePlugin (32699)
+ Mapillary (v1.3.1)
+ PicLayer (32796)
+ apache-commons (32699)
+ apache-http (32699)
+ buildings_tools (32944)
+ editgpx (32699)
+ ejml (32680)
+ ext_tools (32796)
+ fieldpapers (v0.4.0)
+ geotools (33042)
+ jts (32699)
+ log4j (32699)
+ photo_geotagging (32699)
+ photoadjust (32863)
+ tagging-preset-tester (32869)
+ todo (30000)
+ utilsplugin2 (32815)

Last errors/warnings:
- W: java.net.SocketException: Socket closed
- W: Already here java.net.SocketTimeoutException: Read timed out
- W: Already here java.net.SocketException: Socket closed
- E: org.openstreetmap.josm.io.OsmApiInitializationException: org.openstreetmap.josm.io.OsmTransferException: java.net.SocketException: Socket closed. Causa: org.openstreetmap.josm.io.OsmTransferException: java.net.SocketException: Socket closed. Causa: java.net.SocketException: Socket closed
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.mapillary.gui.MapillaryChangesetDialog$SubmitAction@23e42e1d
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$SelectAction@279f8282
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$AddAction@598e9b86
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$PassAction@3b518a06
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$MarkAction@6ad25c3d
- E: Handled by bug report queue: java.lang.NoSuchMethodError: org.openstreetmap.josm.Main.addLayer(Lorg/openstreetmap/josm/gui/layer/Layer;)V


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (64) of javawsApplicationThreadGroup
java.lang.NoSuchMethodError: org.openstreetmap.josm.Main.addLayer(Lorg/openstreetmap/josm/gui/layer/Layer;)V
	at org.openstreetmap.josm.plugins.fieldpapers.FieldPapersAddLayerAction.actionPerformed(FieldPapersAddLayerAction.java:66)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2022)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2348)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:402)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:376)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:833)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:877)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6533)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3324)
	at java.awt.Component.processEvent(Component.java:6298)
	at java.awt.Container.processEvent(Container.java:2236)
	at java.awt.Component.dispatchEventImpl(Component.java:4889)
	at java.awt.Container.dispatchEventImpl(Container.java:2294)
	at java.awt.Component.dispatchEvent(Component.java:4711)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4888)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4525)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4466)
	at java.awt.Container.dispatchEventImpl(Container.java:2280)
	at java.awt.Window.dispatchEventImpl(Window.java:2746)
	at java.awt.Component.dispatchEvent(Component.java:4711)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
	at java.awt.EventQueue$4.run(EventQueue.java:731)
	at java.awt.EventQueue$4.run(EventQueue.java:729)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Attachments (0)

Change History (8)

comment:1 by Don-vip, 8 years ago

Component: CorePlugin fieldpapers
Owner: changed from team to mojodna

comment:2 by Don-vip, 8 years ago

Ticket #13978 has been marked as a duplicate of this ticket.

comment:3 by skyper, 8 years ago

Cc: d.freiermuth@… added

comment:4 by mojodna, 8 years ago

Fixed in https://github.com/fieldpapers/josm-fieldpapers/commit/8c1c57b1d1115a5b2c689cc00f06ca7f7c4ad477 and published as v0.4.1. The wiki has been updated, so this should be available shortly.

Thanks for the report!

comment:5 by mojodna, 8 years ago

Resolution: fixed
Status: newclosed

comment:6 by barcin@…, 7 years ago

Resolution: fixed
Status: closedreopened
Summary: Error al ingresar código de un mapa de fielpapersFieldpapers plugin crashes on opening snapshots

What steps will reproduce the problem?

  1. Open JOSM with Fieldpapers-Plugin. JOSM version 12275. FieldPapers plugin version 0.4.1
  2. Try to open the snapshot (http://fieldpapers.org/snapshots/5c3ii3qs but it doesnt matter)

What is the expected result?
Scaned Fieldpaper image in JOSM as background.

What happens instead?
Dialog about an unexpected exception.

comment:7 by barcin@…, 7 years ago

and stacktrace:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-05-29 16:19:58 +0200 (Mon, 29 May 2017)
Build-Date:2017-05-29 14:25:03
Revision:12275
Relative:URL: ^/trunk

Identification: JOSM/1.5 (12275 pl) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1703 (15063)
Memory Usage: 572 MB / 3614 MB (230 MB allocated, but free)
Java version: 1.8.0_131-b11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1920x1080, \Display1 1680x1050
Maximum Screen Size: 1920x1080
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=%UserProfile%\Downloads\josm (1).jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=63591, -Djnlpx.jvm=<java.home>\bin\javaw.exe]

Plugins:
+ fieldpapers (v0.4.1)

Last errors/warnings:
- E: Handled by bug report queue: java.lang.NoSuchMethodError: org.openstreetmap.josm.Main.addLayer(Lorg/openstreetmap/josm/gui/layer/Layer;Lorg/openstreetmap/josm/data/ViewportData;)V


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (40) of javawsApplicationThreadGroup
java.lang.NoSuchMethodError: org.openstreetmap.josm.Main.addLayer(Lorg/openstreetmap/josm/gui/layer/Layer;Lorg/openstreetmap/josm/data/ViewportData;)V
	at org.openstreetmap.josm.plugins.fieldpapers.FieldPapersAddLayerAction.actionPerformed(FieldPapersAddLayerAction.java:67)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.AbstractButton.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:8 by Don-vip, 7 years ago

Resolution: fixed
Status: reopenedclosed

Already reported here: #14801

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain mojodna.
as The resolution will be set.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.